## org.omg.Messaging
Class RequestStartTimePolicyHelper

    java.lang.Object
      |
      +--org.omg.Messaging.RequestStartTimePolicyHelper

public class RequestStartTimePolicyHelper
extends java.lang.Object

Helper class for : RequestStartTimePolicy

Author:
  OpenORB Compiler

Constructor Summary
`RequestStartTimePolicyHelper()`

Method Summary
`static RequestStartTimePolicy` `extract(Any a)` Extract RequestStartTimePolicy from an any
`static java.lang.String` `id()` Return the RequestStartTimePolicy IDL ID
`static void` `insert(Any a, RequestStartTimePolicy t)` Insert RequestStartTimePolicy into an any
`static RequestStartTimePolicy` `narrow(Object obj)` Narrow CORBA::Object to RequestStartTimePolicy
`static RequestStartTimePolicy` `read(InputStream istream)` Read RequestStartTimePolicy from a marshalled stream
`static TypeCode` `type()` Return the RequestStartTimePolicy TypeCode
`static RequestStartTimePolicy` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to RequestStartTimePolicy
`static void` `write(OutputStream ostream, RequestStartTimePolicy value)` Write RequestStartTimePolicy into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestStartTimePolicyHelper

    public RequestStartTimePolicyHelper()

Method Detail

### insert

    public static void insert(Any a,
                              RequestStartTimePolicy t)

  Insert RequestStartTimePolicy into an any
  Parameters:
    `a` - an any
    `t` - RequestStartTimePolicy value

### extract

    public static RequestStartTimePolicy extract(Any a)

  Extract RequestStartTimePolicy from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted RequestStartTimePolicy value

### type

    public static TypeCode type()

  Return the RequestStartTimePolicy TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the RequestStartTimePolicy IDL ID
  Returns:
    an ID

### read

    public static RequestStartTimePolicy read(InputStream istream)

  Read RequestStartTimePolicy from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed RequestStartTimePolicy value

### write

    public static void write(OutputStream ostream,
                             RequestStartTimePolicy value)

  Write RequestStartTimePolicy into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - RequestStartTimePolicy value

### narrow

    public static RequestStartTimePolicy narrow(Object obj)

  Narrow CORBA::Object to RequestStartTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestStartTimePolicy Object

### unchecked_narrow

    public static RequestStartTimePolicy unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to RequestStartTimePolicy
  Parameters:
    `obj` - the CORBA Object
  Returns:
    RequestStartTimePolicy Object